package com.chenyang.nse.bussiness.entity.vo;

import java.util.List;

public class ReturnInterfaceDate {
   String databaseServerName;
   String databaseType;
   String databaseIp;
   String databasePort;
   String editionName;
   String projectName;
   String schemaName;
   List<Field> field;

   public String getDatabaseServerName() {
      return this.databaseServerName;
   }

   public String getDatabaseType() {
      return this.databaseType;
   }

   public String getDatabaseIp() {
      return this.databaseIp;
   }

   public String getDatabasePort() {
      return this.databasePort;
   }

   public String getEditionName() {
      return this.editionName;
   }

   public String getProjectName() {
      return this.projectName;
   }

   public String getSchemaName() {
      return this.schemaName;
   }

   public List<Field> getField() {
      return this.field;
   }

   public void setDatabaseServerName(final String databaseServerName) {
      this.databaseServerName = databaseServerName;
   }

   public void setDatabaseType(final String databaseType) {
      this.databaseType = databaseType;
   }

   public void setDatabaseIp(final String databaseIp) {
      this.databaseIp = databaseIp;
   }

   public void setDatabasePort(final String databasePort) {
      this.databasePort = databasePort;
   }

   public void setEditionName(final String editionName) {
      this.editionName = editionName;
   }

   public void setProjectName(final String projectName) {
      this.projectName = projectName;
   }

   public void setSchemaName(final String schemaName) {
      this.schemaName = schemaName;
   }

   public void setField(final List<Field> field) {
      this.field = field;
   }

   public boolean equals(final Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof ReturnInterfaceDate)) {
         return false;
      } else {
         ReturnInterfaceDate other = (ReturnInterfaceDate)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$databaseServerName = this.getDatabaseServerName();
            Object other$databaseServerName = other.getDatabaseServerName();
            if (this$databaseServerName == null) {
               if (other$databaseServerName != null) {
                  return false;
               }
            } else if (!this$databaseServerName.equals(other$databaseServerName)) {
               return false;
            }

            Object this$databaseType = this.getDatabaseType();
            Object other$databaseType = other.getDatabaseType();
            if (this$databaseType == null) {
               if (other$databaseType != null) {
                  return false;
               }
            } else if (!this$databaseType.equals(other$databaseType)) {
               return false;
            }

            Object this$databaseIp = this.getDatabaseIp();
            Object other$databaseIp = other.getDatabaseIp();
            if (this$databaseIp == null) {
               if (other$databaseIp != null) {
                  return false;
               }
            } else if (!this$databaseIp.equals(other$databaseIp)) {
               return false;
            }

            Object this$databasePort = this.getDatabasePort();
            Object other$databasePort = other.getDatabasePort();
            if (this$databasePort == null) {
               if (other$databasePort != null) {
                  return false;
               }
            } else if (!this$databasePort.equals(other$databasePort)) {
               return false;
            }

            Object this$editionName = this.getEditionName();
            Object other$editionName = other.getEditionName();
            if (this$editionName == null) {
               if (other$editionName != null) {
                  return false;
               }
            } else if (!this$editionName.equals(other$editionName)) {
               return false;
            }

            Object this$projectName = this.getProjectName();
            Object other$projectName = other.getProjectName();
            if (this$projectName == null) {
               if (other$projectName != null) {
                  return false;
               }
            } else if (!this$projectName.equals(other$projectName)) {
               return false;
            }

            Object this$schemaName = this.getSchemaName();
            Object other$schemaName = other.getSchemaName();
            if (this$schemaName == null) {
               if (other$schemaName != null) {
                  return false;
               }
            } else if (!this$schemaName.equals(other$schemaName)) {
               return false;
            }

            Object this$field = this.getField();
            Object other$field = other.getField();
            if (this$field == null) {
               if (other$field != null) {
                  return false;
               }
            } else if (!this$field.equals(other$field)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(final Object other) {
      return other instanceof ReturnInterfaceDate;
   }

   public int hashCode() {
      int PRIME = 59;
      int result = 1;
      Object $databaseServerName = this.getDatabaseServerName();
      result = result * 59 + ($databaseServerName == null ? 43 : $databaseServerName.hashCode());
      Object $databaseType = this.getDatabaseType();
      result = result * 59 + ($databaseType == null ? 43 : $databaseType.hashCode());
      Object $databaseIp = this.getDatabaseIp();
      result = result * 59 + ($databaseIp == null ? 43 : $databaseIp.hashCode());
      Object $databasePort = this.getDatabasePort();
      result = result * 59 + ($databasePort == null ? 43 : $databasePort.hashCode());
      Object $editionName = this.getEditionName();
      result = result * 59 + ($editionName == null ? 43 : $editionName.hashCode());
      Object $projectName = this.getProjectName();
      result = result * 59 + ($projectName == null ? 43 : $projectName.hashCode());
      Object $schemaName = this.getSchemaName();
      result = result * 59 + ($schemaName == null ? 43 : $schemaName.hashCode());
      Object $field = this.getField();
      result = result * 59 + ($field == null ? 43 : $field.hashCode());
      return result;
   }

   public String toString() {
      return "ReturnInterfaceDate(databaseServerName=" + this.getDatabaseServerName() + ", databaseType=" + this.getDatabaseType() + ", databaseIp=" + this.getDatabaseIp() + ", databasePort=" + this.getDatabasePort() + ", editionName=" + this.getEditionName() + ", projectName=" + this.getProjectName() + ", schemaName=" + this.getSchemaName() + ", field=" + this.getField() + ")";
   }
}
